For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update paymentmethods details

Update paymentmethod details for tenant.

settlementCode can only be set and updated for EXTERNAL payment methods. It must have the prefix EXTERNAL_.

For all other payment methods, the payment code is used as the settlement code.

Required permissions: PAYMENT_METHOD

put
/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantPaymentMethodUidstringRequired

Reference to a tenant PaymentMethodUid.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
activebooleanOptional
namestringOptional

The name will be displayed in the clients and on the receipt

descriptionstringOptional

A description of the payment method, shown in the client

receiptTextstring · max: 500Optional

Text printed on the receipt when this payment method is used. Omit to leave unchanged.

allowSalebooleanOptional
allowRefundbooleanOptional
allowCashbackbooleanOptional
allowPrepaymentbooleanOptional
settlementCodestringOptional
positionintegerOptional

order of appearance in lists

visibilitystring · enumOptionalPossible values:
amountInputstring · enumOptionalPossible values:
useRoundingbooleanOptional
requireCustomerbooleanOptional
requireCustomerMobilebooleanOptional
requireCustomerEmailbooleanOptional
requireCustomerTypestring · enumOptionalPossible values:
requireCustomerContactbooleanOptional
requireRefundToSameMethodbooleanOptional
requireExclusiveUsebooleanOptional
Responses
200

Return a list of all paymentMethods in FlowRetail

application/json
activebooleanRequired
namestringRequired

The name will be displayed in the clients and on the receipt

descriptionstringRequired

A description of the payment method, shown in the client

receiptTextstring · max: 500Required

Text printed on the receipt when this payment method is used. Empty when not configured.

settlementCodestringRequired
allowRefundbooleanRequired

if true, paymentMethod can be used when settling a refund.

tenantPaymentMethodUidstringRequiredPattern: ^[A-Za-z0-9-_]+
allowSalebooleanRequired

if true, paymentMethod can be used when settling a sale.

allowPrepaymentbooleanRequired

if true, paymentMethod can be used when settling a sale.

allowCashbackbooleanRequired

if true, settlement amount can be higher than remainingAmount when settling a sale.

positionintegerRequired

order of appearance in lists

visibilitystring · enumRequiredPossible values:
amountInputstring · enumRequiredPossible values:
useRoundingbooleanRequired
put/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}
PUT /v2/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 450

{
  "active": true,
  "name": "text",
  "description": "text",
  "receiptText": "text",
  "allowSale": true,
  "allowRefund": true,
  "allowCashback": true,
  "allowPrepayment": true,
  "settlementCode": "text",
  "position": 1,
  "visibility": "FEATURED",
  "amountInput": "NONE",
  "useRounding": true,
  "requireCustomer": true,
  "requireCustomerMobile": true,
  "requireCustomerEmail": true,
  "requireCustomerType": "ANY",
  "requireCustomerContact": true,
  "requireRefundToSameMethod": true,
  "requireExclusiveUse": true
}
200

Return a list of all paymentMethods in FlowRetail

{
  "active": true,
  "name": "text",
  "description": "text",
  "receiptText": "text",
  "settlementCode": "text",
  "paymentMethod": {
    "allowRefund": true,
    "allowSale": true,
    "allowAmount": true,
    "allowCashback": true,
    "allowPrepayment": true,
    "requireExclusiveUse": true,
    "name": "text",
    "parameters": [
      {
        "key": "text",
        "keyType": "TEXT",
        "name": "text",
        "required": true
      }
    ],
    "paymentCode": "CASH"
  },
  "allowRefund": true,
  "tenantPaymentMethodUid": "text",
  "allowSale": true,
  "allowPrepayment": true,
  "allowCashback": true,
  "parameters": [
    {
      "name": "text",
      "description": "text",
      "required": true,
      "key": "text",
      "type": "TEXT",
      "regex": "text"
    }
  ],
  "externalSystemMappings": [
    {
      "systemCode": "OMNIUM",
      "externalId": "text",
      "tenantPaymentMethodMappingUid": "text"
    }
  ],
  "position": 1,
  "visibility": "FEATURED",
  "requirements": {
    "requireCustomer": true,
    "requireCustomerMobile": true,
    "requireCustomerEmail": true,
    "requireCustomerType": "ANY",
    "requireCustomerContact": true,
    "requireExclusiveUse": true,
    "requireRefundToSameMethod": true
  },
  "amountInput": "NONE",
  "useRounding": true
}

Last updated

Was this helpful?